Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`amp`.`IResponderLocator``

interface documentation

`class IResponderLocator(Interface): (source)`

Known implementations: `twisted.protocols.amp.CommandLocator`, `twisted.protocols.amp.SimpleStringLocator`

View In Hierarchy

An application object which can look up appropriate responder methods for AMP commands.

Method | `locateResponder` | Locate a responder method appropriate for the named command.

def locateResponder(name): (source)

Locate a responder method appropriate for the named command.

Parameters
name:`bytes` | the wire-level name (commandName) of the AMP command to be responded to.
Returns
a 1-argument callable that takes an `AmpBox` with argument values for the given command, and returns an `AmpBox` containing argument values for the named command, or a `Deferred` that fires the same.